-- CREATION DU SCHEMA FORMCO
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 1
-- Type : DDL
-- Schema : FORMCO
-- Numero de version : 1.0.0.0
-- Date de publication : 01/08/2011
-- Auteur(s) : JEAN-BAPTISTE ARNOUX
-- Licence : CeCILL version 2
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;

------------------------------------------------------------
--  Creation de la table des articles de FC
------------------------------------------------------------

  CREATE TABLE FORMCO.ARTICLE_FC (	
	C_ART_FC_ID NUMBER NOT NULL, 
	FDIP_CODE_FK VARCHAR2(7), 
	MRAP_KEY_FK NUMBER, 
	MREC_KEY_FK NUMBER, 
	MRSEM_KEY_FK NUMBER, 
	MRUE_KEY_FK NUMBER, 
	NIV_LMD_FK NUMBER, 
	TYPE_ORGAN_FK NUMBER, 
	D_CREATION_ART DATE NOT NULL ENABLE, 
	D_DEBUT_ART DATE, 
	D_FIN_ART DATE, 
	D_MODIF_ART DATE NOT NULL ENABLE, 
	NB_CRDTS_ECTS_ART NUMBER, 
	NB_HEURE_ART NUMBER NOT NULL ENABLE, 
	NB_MAX_INSCRIT_ART NUMBER, 
	NB_MIN_INSCRIT_ART NUMBER, 
	PRCT_DEPASS_ART NUMBER, 
	CAAR_ID_FK NUMBER NOT NULL ENABLE, 
	MPAR_KEY_FK NUMBER, 
	C_ANNEE_SUIVIE NUMBER NOT NULL ENABLE,
	CONSTRAINT PK_C_ART_FC_ID PRIMARY KEY (C_ART_FC_ID), 
	CONSTRAINT FK_CATALOGUE_ARTICLE_ART_ID FOREIGN KEY (CAAR_ID_FK) 
	REFERENCES JEFY_CATALOGUE.CATALOGUE_ARTICLE (CAAR_ID)  DEFERRABLE INITIALLY DEFERRED );
/
   COMMENT ON TABLE FORMCO.ARTICLE_FC  IS 'ARTICLES DE FORMATION CONTINUE';
   COMMENT ON COLUMN FORMCO.ARTICLE_FC. C_ART_FC_ID IS 'CLE PRIMAIRE'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.FDIP_CODE_FK IS 'CLE ETRANGERE DE SCOLARITE.SCOL_FORMATION_DIPLOME'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.MRAP_KEY_FK IS 'CLE ETRANGERE DE SCOLARITE.SCOL_MAQUETTE_REPARTITION_AP'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.MREC_KEY_FK IS 'CLE ETRANGERE DE SCOLARITE.SCOL_MAQUETTE_REPARTITION_EC'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.MRSEM_KEY_FK IS 'CLE ETRANGERE DE SCOLARITE.SCOL_MAQUETTE_REPARTITION_SEM'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.MRUE_KEY_FK IS 'CLE ETRANGERE DE SCOLARITE.SCOL_MAQUETTE_REPARTITION_UE'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.MPAR_KEY_FK IS 'CLE ETRANGERE DE SCOLARITE.SCOL_MAQUETTE_PARCOURS';
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.NIV_LMD_FK  IS 'CLE ETRANGERE DE FORMCO.NIVEAU_LMD'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.TYPE_ORGAN_FK IS ''; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.D_CREATION_ART IS 'DATE DE CREATION'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.D_DEBUT_ART  IS 'DATE DE DEBUT DE LA FC'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.D_FIN_ART  IS 'DATE DE FIN DE LA FC'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.D_MODIF_ART IS 'DATE DE MODIFICATION DE L ENREGISTREMENT'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.NB_CRDTS_ECTS_ART IS 'NOMBRE DE CREDITS ECTS'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.NB_HEURE_ART IS 'DUREE EN HEURE'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.NB_MAX_INSCRIT_ART IS 'NOMBRE MAXIMUM DE PARTICIPANTS'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.NB_MIN_INSCRIT_ART IS 'NOMBRE MINIMUM DE PARTICIPANTS'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.PRCT_DEPASS_ART IS 'POURCENTAGE DE SURBOOKING'; 
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.CAAR_ID_FK IS 'CLE ETRANGERE DE L ARTICLE AU CATALOGUE';
   COMMENT ON COLUMN FORMCO.ARTICLE_FC.C_ANNEE_SUIVIE IS 'CODE DE L ANNEE SUIVIE';
/

------------------------------------------------------------
--  Creation de la table des versions
------------------------------------------------------------

  CREATE TABLE FORMCO.DB_VERSION 
   (	DBV_ID NUMBER(4,0) NOT NULL ENABLE, 
	DBV_LIBELLE VARCHAR2(15) NOT NULL ENABLE, 
	DBV_DATE DATE NOT NULL ENABLE, 
	DBV_INSTALL_DATE DATE, 
	DBV_COMMENT VARCHAR2(2000), 
	CONSTRAINT PK_DB_VERSION PRIMARY KEY (DBV_ID)
      );
/

  COMMENT ON TABLE FORMCO.DB_VERSION IS 'Historique des versions du schema du user FORMCO';
  COMMENT ON COLUMN FORMCO.DB_VERSION.DBV_LIBELLE IS 'Libelle de la version';
  COMMENT ON COLUMN FORMCO.DB_VERSION.DBV_DATE IS 'Date de release de la version';
  COMMENT ON COLUMN FORMCO.DB_VERSION.DBV_INSTALL_DATE IS 'Date d''installation de la version. Si non renseigne, la version n''est pas completement installee';
  COMMENT ON COLUMN FORMCO.DB_VERSION.DBV_COMMENT IS 'Le commentaire/une courte description de cette version de la base de donnees.';
  COMMENT ON COLUMN FORMCO.DB_VERSION.DBV_ID IS 'Clef primaire de FORMCO.DB_VERSION';
/

------------------------------------------------------------
--  Creation de la table des NIVEAUX LMD
------------------------------------------------------------
  
  CREATE TABLE FORMCO.NIVEAU_LMD 
   (	C_NIV_LMD_ID NUMBER NOT NULL, 
	LC_NIV_LMD VARCHAR2(100), 
	LL_NIV_LMD VARCHAR2(255) NOT NULL,
	CONSTRAINT NIVEAU_LMD_PK PRIMARY KEY (C_NIV_LMD_ID)
   );
/

  COMMENT ON TABLE FORMCO.NIVEAU_LMD  IS 'NIVEAU LMD POUR UN ARTICLE DE FC';
  COMMENT ON COLUMN FORMCO.NIVEAU_LMD.C_NIV_LMD_ID IS 'CLE PRIMAIRE';
  COMMENT ON COLUMN FORMCO.NIVEAU_LMD.LC_NIV_LMD IS 'LIBELLE COURT ';
  COMMENT ON COLUMN FORMCO.NIVEAU_LMD.LL_NIV_LMD IS 'LIBELLE LONG ';
/
------------------------------------------------------------
--  Creation de la table des OBJECTIFS
------------------------------------------------------------

  CREATE TABLE FORMCO.OBJECTIF_ARTICLE 
   (	C_OBJECTIF_ART_ID NUMBER NOT NULL, 
	LC_OBJECTIF_ART VARCHAR2(100), 
	LL_OBJECTIF_ART VARCHAR2(255) NOT NULL, 
	 CONSTRAINT PK_C_OBJECTIF_ART_ID PRIMARY KEY (C_OBJECTIF_ART_ID)
   );
/

  COMMENT ON TABLE FORMCO.OBJECTIF_ARTICLE   IS 'OBJECTIFS POUR UN ARTICLE DE FC';
  COMMENT ON COLUMN FORMCO.OBJECTIF_ARTICLE.C_OBJECTIF_ART_ID IS 'CLE PRIMAIRE';
  COMMENT ON COLUMN FORMCO.OBJECTIF_ARTICLE.LC_OBJECTIF_ART  IS 'LIBELLE COURT ';
  COMMENT ON COLUMN FORMCO.OBJECTIF_ARTICLE.LL_OBJECTIF_ART IS 'LIBELLE LONG ';
/

------------------------------------------------------------
--  Creation de la table des SPECIALITES
------------------------------------------------------------

 CREATE TABLE FORMCO.SPECIALITE 
   (	C_SPECIALITE_ID NUMBER NOT NULL , 
	CODE_SPECIALITE VARCHAR2(25) NOT NULL , 
	LC_SPECIALITE VARCHAR2(100), 
	LL_SPECIALITE VARCHAR2(255) NOT NULL , 
  	CONSTRAINT PK_C_SPECIALITE_ID PRIMARY KEY (C_SPECIALITE_ID)
     );
/

  COMMENT ON TABLE FORMCO.SPECIALITE IS 'TABLE DE SPECIALITES DE FC'; 
  COMMENT ON COLUMN FORMCO.SPECIALITE.C_SPECIALITE_ID IS 'CLE PRIMAIRE';
  COMMENT ON COLUMN FORMCO.SPECIALITE.CODE_SPECIALITE IS 'CODE';
  COMMENT ON COLUMN FORMCO.SPECIALITE.LC_SPECIALITE IS 'LIBELEL COURT';
  COMMENT ON COLUMN FORMCO.SPECIALITE.LL_SPECIALITE IS 'LIBELEL LONG';
/

------------------------------------------------------------
--  Creation de la table des TYPES D ACTION
------------------------------------------------------------

  CREATE TABLE FORMCO.TYPE_ACTION 
   (	C_TYPE_ACTION_ID NUMBER NOT NULL , 
	LC_TYPE_ACTION VARCHAR2(100), 
	LL_TYPE_ACTION VARCHAR2(255) NOT NULL , 
	CONSTRAINT PK_C_TYPE_ACTION_ID PRIMARY KEY (C_TYPE_ACTION_ID)
    );
/

  COMMENT ON TABLE FORMCO.TYPE_ACTION  IS 'TABLE DE TYPE D ACTION DE FC'; 
  COMMENT ON COLUMN FORMCO.TYPE_ACTION.C_TYPE_ACTION_ID IS 'CLE PRIMAIRE';
  COMMENT ON COLUMN FORMCO.TYPE_ACTION.LC_TYPE_ACTION IS 'LIBELEL COURT';
  COMMENT ON COLUMN FORMCO.TYPE_ACTION.LL_TYPE_ACTION IS 'LIBELEL LONG';
/

------------------------------------------------------------
--  Creation de la table des TYPES D ORGANISATION
------------------------------------------------------------

  CREATE TABLE FORMCO.TYPE_ORGANISATION 
   (	C_TYPE_ORGAN_ID NUMBER NOT NULL , 
	LC_TYPE_ORGAN VARCHAR2(100), 
	LL_TYPE_ORGAN VARCHAR2(255) NOT NULL , 
	CONSTRAINT PK_C_TYPE_ORGAN_ID PRIMARY KEY (C_TYPE_ORGAN_ID)
    );
/

  COMMENT ON TABLE FORMCO.TYPE_ORGANISATION   IS 'TABLE DE TYPE D ORGANISATION D ARTICLE DE FC'; 
  COMMENT ON COLUMN FORMCO.TYPE_ORGANISATION.C_TYPE_ORGAN_ID IS 'CLE PRIMAIRE';
  COMMENT ON COLUMN FORMCO.TYPE_ORGANISATION.LC_TYPE_ORGAN IS 'LIBELEL COURT';
  COMMENT ON COLUMN FORMCO.TYPE_ORGANISATION.LL_TYPE_ORGAN IS 'LIBELEL LONG';
/
------------------------------------------------------------
--  Creation de la table de REPARTITION DES OBJECTIFS
------------------------------------------------------------

  CREATE TABLE FORMCO.REPART_OBJECTIF 
   (	C_ART_FC_ID NUMBER NOT NULL , 
	C_OBJECTIF_ART_ID NUMBER NOT NULL , 
	 CONSTRAINT PK_REPART_OBJ_ID PRIMARY KEY (C_ART_FC_ID, C_OBJECTIF_ART_ID), 
	 CONSTRAINT FK_ART_REPART_OBJ FOREIGN KEY (C_ART_FC_ID)
	 REFERENCES FORMCO.ARTICLE_FC (C_ART_FC_ID) DEFERRABLE INITIALLY DEFERRED ENABLE, 
	 CONSTRAINT FK_OBJ_REPART_OBJ FOREIGN KEY (C_OBJECTIF_ART_ID)
	 REFERENCES FORMCO.OBJECTIF_ARTICLE (C_OBJECTIF_ART_ID) DEFERRABLE INITIALLY DEFERRED ENABLE
   );
 /

  COMMENT ON TABLE FORMCO.REPART_OBJECTIF IS 'TABLE DE REPARTITION DES OBJECTIFS DE FC';
  COMMENT ON COLUMN FORMCO.REPART_OBJECTIF.C_ART_FC_ID IS 'CLE ETRANGERE DE L ARTICLE';
  COMMENT ON COLUMN FORMCO.REPART_OBJECTIF.C_OBJECTIF_ART_ID  IS 'CLE ETRANGERE DE L OBJECTIF';
/

------------------------------------------------------------
--  Creation de la table de REPARTITION DES SPECIALITES
------------------------------------------------------------

  CREATE TABLE FORMCO.REPART_SPECIALITE 
   (	C_ART_FC_ID NUMBER NOT NULL ENABLE, 
	C_SPECIALITE_ID NUMBER NOT NULL ENABLE, 
	CONSTRAINT PK_REPART_SPE_ID PRIMARY KEY (C_ART_FC_ID, C_SPECIALITE_ID), 
	CONSTRAINT FK_ART_REPART_SPE FOREIGN KEY (C_ART_FC_ID)
	REFERENCES FORMCO.ARTICLE_FC (C_ART_FC_ID) DEFERRABLE INITIALLY DEFERRED ENABLE, 
	CONSTRAINT FK_SPE_REPART_SPE FOREIGN KEY (C_SPECIALITE_ID)
	REFERENCES FORMCO.SPECIALITE (C_SPECIALITE_ID) DEFERRABLE INITIALLY DEFERRED ENABLE
   );
/

  COMMENT ON TABLE FORMCO.REPART_SPECIALITE IS 'TABLE DE REPARTITION DES SPECIALITES DE FC';
  COMMENT ON COLUMN FORMCO.REPART_SPECIALITE.C_ART_FC_ID IS 'CLE ETRANGERE DE L ARTICLE';
  COMMENT ON COLUMN FORMCO.REPART_SPECIALITE.C_SPECIALITE_ID  IS 'CLE ETRANGERE DE LA SPECIALITE';
/

------------------------------------------------------------
--  Creation de la table de REPARTITION DES TYPE_ACTION
------------------------------------------------------------

 CREATE TABLE FORMCO.REPART_TYPE_ACTION 
   (	C_ART_FC_ID NUMBER NOT NULL , 
	C_TYPE_ACTION_ID NUMBER NOT NULL , 
	CONSTRAINT PK_REPART_TYP_ID PRIMARY KEY (C_ART_FC_ID, C_TYPE_ACTION_ID), 
	CONSTRAINT FK_ART_REPART_TYP FOREIGN KEY (C_ART_FC_ID)
	REFERENCES FORMCO.ARTICLE_FC (C_ART_FC_ID) DEFERRABLE INITIALLY DEFERRED ENABLE, 
	CONSTRAINT FK_TYP_REPART_TYP FOREIGN KEY (C_TYPE_ACTION_ID)
	REFERENCES FORMCO.TYPE_ACTION (C_TYPE_ACTION_ID) DEFERRABLE INITIALLY DEFERRED ENABLE
   );
/

  COMMENT ON TABLE FORMCO.REPART_TYPE_ACTION    IS 'TABLE DE REPARTITION DES TYPES D ACTIONS DE FC'; 
  COMMENT ON COLUMN FORMCO.REPART_TYPE_ACTION.C_ART_FC_ID IS 'CLE ETRANGERE DE L ARTICLE';
  COMMENT ON COLUMN FORMCO.REPART_TYPE_ACTION.C_TYPE_ACTION_ID  IS 'CLE ETRANGERE DU TYPE D ACTION';
/

------------------------------------------------------------
--  Creation de la table de ETAT_CONT
------------------------------------------------------------

  CREATE TABLE FORMCO.ETAT_CONT
   ( C_ETT_CONT_ID NUMBER NOT NULL , 
	COD_ETT_CONT VARCHAR2(20) NOT NULL , 
	LIB_ETT_CONT VARCHAR2(50) , 
	 CONSTRAINT PK_ETT_CONT_ID PRIMARY KEY (C_ETT_CONT_ID)
   );
 /
  COMMENT ON TABLE FORMCO.ETAT_CONT  IS 'TABLE DES ETATS DE CONTRAT DE FC';
  COMMENT ON COLUMN FORMCO.ETAT_CONT.C_ETT_CONT_ID IS 'CLE PRIMAIRE';
  COMMENT ON COLUMN FORMCO.ETAT_CONT.COD_ETT_CONT IS 'CODE DE L ETAT';
  COMMENT ON COLUMN FORMCO.ETAT_CONT.LIB_ETT_CONT IS 'LIBELLE DE L ETAT';
/

------------------------------------------------------------
--  Creation de la table de REPARTITION DES CONTRAT _ PRESTATIONS
------------------------------------------------------------

  CREATE TABLE FORMCO.REP_CONT_PRES 
   (	C_CONT_ID NUMBER NOT NULL , 
	C_PRES_ID NUMBER NOT NULL , 
	RCP_TOTAL_HT NUMBER,
	RCP_TOTAL_TVA NUMBER,
	RCP_TOTAL_TTC NUMBER,
	C_ETT_CONT_FK NUMBER,
	 CONSTRAINT PK_REP_CONT_PRES_ID PRIMARY KEY (C_CONT_ID, C_PRES_ID), 
	 CONSTRAINT FK_CONT_REP_CON_PRES FOREIGN KEY (C_CONT_ID)
	 REFERENCES ACCORDS.CONTRAT (CON_ORDRE) DEFERRABLE INITIALLY DEFERRED ENABLE, 
	 CONSTRAINT FK_PREST_REP_CON_PRES FOREIGN KEY (C_PRES_ID)
	 REFERENCES JEFY_RECETTE.PRESTATION (PREST_ID) DEFERRABLE INITIALLY DEFERRED ENABLE,
	 CONSTRAINT FK_ETAT_REP_CON_PRES FOREIGN KEY (C_ETT_CONT_FK)
	 REFERENCES FORMCO.ETAT_CONT (C_ETT_CONT_ID) DEFERRABLE INITIALLY DEFERRED ENABLE
   );
 /

  COMMENT ON TABLE FORMCO.REP_CONT_PRES  IS 'TABLE DE REPARTITION ENTRE UN CONTRAT ET UNE PRESTATION';
  COMMENT ON COLUMN FORMCO.REP_CONT_PRES.C_CONT_ID IS 'CLE ETRANGERE DU CONTRAT';
  COMMENT ON COLUMN FORMCO.REP_CONT_PRES.C_PRES_ID  IS 'CLE ETRANGERE DE LA PRESTATION';
  COMMENT ON COLUMN FORMCO.REP_CONT_PRES.RCP_TOTAL_HT  IS 'MONTANT HT POUR CETTE PAIRE CONTRAT PRESTATION';
  COMMENT ON COLUMN FORMCO.REP_CONT_PRES.RCP_TOTAL_TVA  IS 'MONTANT TVA POUR CETTE PAIRE CONTRAT PRESTATION';
  COMMENT ON COLUMN FORMCO.REP_CONT_PRES.RCP_TOTAL_TTC  IS 'MONTANT TTC POUR CETTE PAIRE CONTRAT PRESTATION';
/
------------------------------------------------------------
--  Creation des SEQUENCES
------------------------------------------------------------
CREATE SEQUENCE FORMCO.ARTICLE_FC_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.NIVEAU_LMD_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.OBJECTIF_ARTICLE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.PRELEVEMENT_COMPOSANTE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.SPECIALITE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.TYPE_ACTION_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.TYPE_ORGANISATION_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.DB_VERSION_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.REPART_OBJECTIF_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.REPART_SPECIALITE_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.REPART_TYPE_ACTION_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.REP_CONT_PRES_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
CREATE SEQUENCE FORMCO.ETAT_CONT_SEQ START WITH 1 INCREMENT BY 1 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
/

------------------------------------------------------------
--DONNER ACCES A JEFY_RECETTE
------------------------------------------------------------
GRANT DELETE, INSERT, SELECT, UPDATE ON FORMCO.ARTICLE_FC TO JEFY_RECETTE;
GRANT DELETE, INSERT, SELECT, UPDATE ON FORMCO.NIVEAU_LMD TO JEFY_RECETTE;
GRANT DELETE, INSERT, SELECT, UPDATE ON FORMCO.OBJECTIF_ARTICLE TO JEFY_RECETTE;
GRANT DELETE, INSERT, SELECT, UPDATE ON FORMCO.REPART_OBJECTIF TO JEFY_RECETTE;
GRANT DELETE, INSERT, SELECT, UPDATE ON FORMCO.REPART_SPECIALITE TO JEFY_RECETTE;
GRANT DELETE, INSERT, SELECT, UPDATE ON FORMCO.REPART_TYPE_ACTION TO JEFY_RECETTE;
GRANT DELETE, INSERT, SELECT, UPDATE ON FORMCO.SPECIALITE TO JEFY_RECETTE;
GRANT DELETE, INSERT, SELECT, UPDATE ON FORMCO.TYPE_ACTION TO JEFY_RECETTE;
GRANT DELETE, INSERT, SELECT, UPDATE ON FORMCO.TYPE_ORGANISATION TO JEFY_RECETTE;


GRANT ALTER, SELECT ON FORMCO.ARTICLE_FC_SEQ TO JEFY_RECETTE;
GRANT ALTER, SELECT ON FORMCO.NIVEAU_LMD_SEQ TO JEFY_RECETTE;
GRANT ALTER, SELECT ON FORMCO.OBJECTIF_ARTICLE_SEQ TO JEFY_RECETTE;
GRANT ALTER, SELECT ON FORMCO.PRELEVEMENT_COMPOSANTE_SEQ TO JEFY_RECETTE;
GRANT ALTER, SELECT ON FORMCO.SPECIALITE_SEQ TO JEFY_RECETTE;
GRANT ALTER, SELECT ON FORMCO.TYPE_ACTION_SEQ TO JEFY_RECETTE;
GRANT ALTER, SELECT ON FORMCO.TYPE_ORGANISATION_SEQ TO JEFY_RECETTE;
GRANT ALTER, SELECT ON FORMCO.REPART_TYPE_ACTION_SEQ TO JEFY_RECETTE;
GRANT ALTER, SELECT ON FORMCO.REPART_OBJECTIF_SEQ TO JEFY_RECETTE;
GRANT ALTER, SELECT ON FORMCO.REPART_SPECIALITE_SEQ TO JEFY_RECETTE;
/
